[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Voodoo 3

On Sat, 6 Jan 2001, David Steinberg wrote:

> But I'm completely lost as to what to do to get it to work...
> I've installed the following packages (from potato):
> libglide2-v3
> libglide2-dev
> glide2-base
> mesag3-glide2
> mesag3-widgets
> mesag-glide2-dev
> mesag-widgets-dev
> Okay, so the dev packages are probably overkill at this point, but what
> the heck?  :)
> If I try to run /usr/bin/test3Dfx, I get:
> gd error (glide): Can't find or access Banshee/V3 board
> gd error (glide): grSstSelect:  non-existent SSTSegmentation fault
> In the description for libglide2-v3, it says "You'll need the /dev/3dfx
> kernel driver to use this library."  I have no clue what to do about
> this; where would I get the this kernel driver?
> I haven't had much luck in finding current documentation (I assume things
> have changed significantly since the 3dfx howto was last updated 3 years
> ago, since it specifically mentions that there is no kernel configuration
> necessary).  If anyone could point me in the right direction, I'd be most
> appreciative.
> TIA.

Hi All

I have the same problem, but I can add some more Information maybe it

If I run X (3.3.6) I have no problems running the test3dfx binary, except
setting it to another resolution then I get a segfault. Running Quake from
X seems to work at first glance, but it seems to open another vt (usally
vt4) and I have to switch to this vt manually to get keypresses, but then
the colors get bad. Leaving Quake leaves all consoles in unusable state
(some wierd colors).

Running test3dfx or quake from console fails with the message above !

Can anybody help? Or is there some documentation somewhere?


Reply to: